#include "TestWindow.h"

TestWindow::TestWindow()
{
	CtrlLayout(*this, "Bugtester");
	Sizeable(true);
	m_startSize = GetSize();
}

void TestWindow::Layout()
{
	float sizeXChange = (float)GetSize().cx / (float)m_startSize.cx;
	float sizeYChange = (float)GetSize().cy / (float)m_startSize.cy;
	
	Ctrl* child = GetFirstChild();
	while(child != NULL)
	{
		String temp;
		temp << child->GetSize().cx << " | " << child->GetSize().cy;
		temp << " @ " << child->GetRect().TopLeft().x << " | " << child->GetRect().TopLeft().y;
		Title(temp);
		
		child->LeftPosZ(10 * sizeXChange, child->GetSize().cx * sizeXChange);
		child->TopPosZ(10 * sizeYChange, child->GetSize().cy * sizeYChange);
		
		child = child->GetNext();
	}
}